import React, { Component } from 'react';
import { injectIntl } from 'react-intl';
import { AccountBalance, AccountBox, LocationCity, Healing, HealingOutlined, LocalHospital, LocalPharmacy, LocalPharmacyOutlined, Person, PersonOutlined, PinDrop, SupervisorAccount, Tune } from '@material-ui/icons';
import { formatMessage, MainMenuContribution, ProxyPage } from '@openimis/fe-core';

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();

var _extends = Object.assign || function (target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i];

    for (var key in source) {
      if (Object.prototype.hasOwnProperty.call(source, key)) {
        target[key] = source[key];
      }
    }
  }

  return target;
};

var inherits = function (subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });
  if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
};

var possibleConstructorReturn = function (self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return call && (typeof call === "object" || typeof call === "function") ? call : self;
};

var AdminMainMenu = function (_Component) {
  inherits(AdminMainMenu, _Component);

  function AdminMainMenu() {
    classCallCheck(this, AdminMainMenu);
    return possibleConstructorReturn(this, (AdminMainMenu.__proto__ || Object.getPrototypeOf(AdminMainMenu)).apply(this, arguments));
  }

  createClass(AdminMainMenu, [{
    key: "render",
    value: function render() {
      return React.createElement(MainMenuContribution, _extends({}, this.props, {
        header: formatMessage(this.props.intl, "admin", "mainMenu"),
        icon: React.createElement(LocationCity, null),
        entries: [{
          text: formatMessage(this.props.intl, "admin", "menu.products"),
          icon: React.createElement(Tune, null),
          route: "/admin/products"
        }, {
          text: formatMessage(this.props.intl, "admin", "menu.healthFacilities"),
          icon: React.createElement(LocalHospital, null),
          route: "/admin/healthFacilities",
          withDivider: true
        }, {
          text: formatMessage(this.props.intl, "admin", "menu.medicalServicesPrices"),
          icon: React.createElement(HealingOutlined, null),
          route: "/admin/medicalServicesPriceList"
        }, {
          text: formatMessage(this.props.intl, "admin", "menu.medicalItemsPrices"),
          icon: React.createElement(LocalPharmacyOutlined, null),
          route: "/admin/medicalItemsPriceList",
          withDivider: true
        }, {
          text: formatMessage(this.props.intl, "admin", "menu.medicalServices"),
          icon: React.createElement(Healing, null),
          route: "/admin/medilcalServices"
        }, {
          text: formatMessage(this.props.intl, "admin", "menu.medicalItems"),
          icon: React.createElement(LocalPharmacy, null),
          route: "/admin/medilcalItems",
          withDivider: true
        }, {
          text: formatMessage(this.props.intl, "admin", "menu.users"),
          icon: React.createElement(Person, null),
          route: "/admin/users"
        }, {
          text: formatMessage(this.props.intl, "admin", "menu.usersProfiles"),
          icon: React.createElement(AccountBox, null),
          route: "/admin/userProfiles"
        }, {
          text: formatMessage(this.props.intl, "admin", "menu.enrolmentOfficers"),
          icon: React.createElement(SupervisorAccount, null),
          route: "/admin/enrolmentOfficers"
        }, {
          text: formatMessage(this.props.intl, "admin", "menu.claimAdministrators"),
          icon: React.createElement(PersonOutlined, null),
          route: "/admin/claimAdministrators"
        }, {
          text: formatMessage(this.props.intl, "admin", "menu.payers"),
          icon: React.createElement(AccountBalance, null),
          route: "/admin/payers"
        }, {
          text: formatMessage(this.props.intl, "admin", "menu.locations"),
          icon: React.createElement(PinDrop, null),
          route: "/admin/locations"
        }]
      }));
    }
  }]);
  return AdminMainMenu;
}(Component);

var AdminMainMenu$1 = injectIntl(AdminMainMenu);

var ProductsPage = function (_Component) {
    inherits(ProductsPage, _Component);

    function ProductsPage() {
        classCallCheck(this, ProductsPage);
        return possibleConstructorReturn(this, (ProductsPage.__proto__ || Object.getPrototypeOf(ProductsPage)).apply(this, arguments));
    }

    createClass(ProductsPage, [{
        key: "render",
        value: function render() {
            return React.createElement(ProxyPage, { url: "/FindProduct.aspx" });
        }
    }]);
    return ProductsPage;
}(Component);

var HealthFacilitiesPage = function (_Component) {
    inherits(HealthFacilitiesPage, _Component);

    function HealthFacilitiesPage() {
        classCallCheck(this, HealthFacilitiesPage);
        return possibleConstructorReturn(this, (HealthFacilitiesPage.__proto__ || Object.getPrototypeOf(HealthFacilitiesPage)).apply(this, arguments));
    }

    createClass(HealthFacilitiesPage, [{
        key: "render",
        value: function render() {
            return React.createElement(ProxyPage, { url: "/FindHealthFacility.aspx" });
        }
    }]);
    return HealthFacilitiesPage;
}(Component);

var MedicalServicesPriceListPage = function (_Component) {
    inherits(MedicalServicesPriceListPage, _Component);

    function MedicalServicesPriceListPage() {
        classCallCheck(this, MedicalServicesPriceListPage);
        return possibleConstructorReturn(this, (MedicalServicesPriceListPage.__proto__ || Object.getPrototypeOf(MedicalServicesPriceListPage)).apply(this, arguments));
    }

    createClass(MedicalServicesPriceListPage, [{
        key: "render",
        value: function render() {
            return React.createElement(ProxyPage, { url: "/FindPriceListMS.aspx" });
        }
    }]);
    return MedicalServicesPriceListPage;
}(Component);

var MedicalItemsPriceListPage = function (_Component) {
    inherits(MedicalItemsPriceListPage, _Component);

    function MedicalItemsPriceListPage() {
        classCallCheck(this, MedicalItemsPriceListPage);
        return possibleConstructorReturn(this, (MedicalItemsPriceListPage.__proto__ || Object.getPrototypeOf(MedicalItemsPriceListPage)).apply(this, arguments));
    }

    createClass(MedicalItemsPriceListPage, [{
        key: "render",
        value: function render() {
            return React.createElement(ProxyPage, { url: "/FindPriceListMI.aspx" });
        }
    }]);
    return MedicalItemsPriceListPage;
}(Component);

var MedicalServicesPage = function (_Component) {
    inherits(MedicalServicesPage, _Component);

    function MedicalServicesPage() {
        classCallCheck(this, MedicalServicesPage);
        return possibleConstructorReturn(this, (MedicalServicesPage.__proto__ || Object.getPrototypeOf(MedicalServicesPage)).apply(this, arguments));
    }

    createClass(MedicalServicesPage, [{
        key: "render",
        value: function render() {
            return React.createElement(ProxyPage, { url: "/FindMedicalService.aspx" });
        }
    }]);
    return MedicalServicesPage;
}(Component);

var MedicalItemsPage = function (_Component) {
    inherits(MedicalItemsPage, _Component);

    function MedicalItemsPage() {
        classCallCheck(this, MedicalItemsPage);
        return possibleConstructorReturn(this, (MedicalItemsPage.__proto__ || Object.getPrototypeOf(MedicalItemsPage)).apply(this, arguments));
    }

    createClass(MedicalItemsPage, [{
        key: "render",
        value: function render() {
            return React.createElement(ProxyPage, { url: "/FindMedicalItem.aspx" });
        }
    }]);
    return MedicalItemsPage;
}(Component);

var UsersPage = function (_Component) {
    inherits(UsersPage, _Component);

    function UsersPage() {
        classCallCheck(this, UsersPage);
        return possibleConstructorReturn(this, (UsersPage.__proto__ || Object.getPrototypeOf(UsersPage)).apply(this, arguments));
    }

    createClass(UsersPage, [{
        key: "render",
        value: function render() {
            return React.createElement(ProxyPage, { url: "/FindUser.aspx" });
        }
    }]);
    return UsersPage;
}(Component);

var UserProfilesPage = function (_Component) {
    inherits(UserProfilesPage, _Component);

    function UserProfilesPage() {
        classCallCheck(this, UserProfilesPage);
        return possibleConstructorReturn(this, (UserProfilesPage.__proto__ || Object.getPrototypeOf(UserProfilesPage)).apply(this, arguments));
    }

    createClass(UserProfilesPage, [{
        key: "render",
        value: function render() {
            return React.createElement(ProxyPage, { url: "/FindProfile.aspx" });
        }
    }]);
    return UserProfilesPage;
}(Component);

var EnrolmentOfficersPage = function (_Component) {
    inherits(EnrolmentOfficersPage, _Component);

    function EnrolmentOfficersPage() {
        classCallCheck(this, EnrolmentOfficersPage);
        return possibleConstructorReturn(this, (EnrolmentOfficersPage.__proto__ || Object.getPrototypeOf(EnrolmentOfficersPage)).apply(this, arguments));
    }

    createClass(EnrolmentOfficersPage, [{
        key: "render",
        value: function render() {
            return React.createElement(ProxyPage, { url: "/FindOfficer.aspx" });
        }
    }]);
    return EnrolmentOfficersPage;
}(Component);

var ClaimAdministratorsPage = function (_Component) {
    inherits(ClaimAdministratorsPage, _Component);

    function ClaimAdministratorsPage() {
        classCallCheck(this, ClaimAdministratorsPage);
        return possibleConstructorReturn(this, (ClaimAdministratorsPage.__proto__ || Object.getPrototypeOf(ClaimAdministratorsPage)).apply(this, arguments));
    }

    createClass(ClaimAdministratorsPage, [{
        key: "render",
        value: function render() {
            return React.createElement(ProxyPage, { url: "/FindClaimAdministrator.aspx" });
        }
    }]);
    return ClaimAdministratorsPage;
}(Component);

var PayersPage = function (_Component) {
    inherits(PayersPage, _Component);

    function PayersPage() {
        classCallCheck(this, PayersPage);
        return possibleConstructorReturn(this, (PayersPage.__proto__ || Object.getPrototypeOf(PayersPage)).apply(this, arguments));
    }

    createClass(PayersPage, [{
        key: "render",
        value: function render() {
            return React.createElement(ProxyPage, { url: "/FindPayer.aspx" });
        }
    }]);
    return PayersPage;
}(Component);

var LocationsPage = function (_Component) {
    inherits(LocationsPage, _Component);

    function LocationsPage() {
        classCallCheck(this, LocationsPage);
        return possibleConstructorReturn(this, (LocationsPage.__proto__ || Object.getPrototypeOf(LocationsPage)).apply(this, arguments));
    }

    createClass(LocationsPage, [{
        key: "render",
        value: function render() {
            return React.createElement(ProxyPage, { url: "/Locations.aspx" });
        }
    }]);
    return LocationsPage;
}(Component);

var messages_en = {
	"admin.mainMenu": "Administration",
	"admin.menu.products": "Products",
	"admin.menu.healthFacilities": "Health Facilities",
	"admin.menu.medicalServicesPrices": "Medical Services Price List",
	"admin.menu.medicalItemsPrices": "Medical Items Price List",
	"admin.menu.medicalServices": "Medical Services",
	"admin.menu.medicalItems": "Medical Items",
	"admin.menu.users": "Users",
	"admin.menu.usersProfiles": "Users Profiles",
	"admin.menu.enrolmentOfficers": "Enrolment Officers",
	"admin.menu.claimAdministrators": "Claim Administrators",
	"admin.menu.payers": "Payers",
	"admin.menu.locations": "Locations"
};

var DEFAULT_CONFIG = {
  "translations": [{ key: 'en', messages: messages_en }],
  "core.Router": [{ path: "admin/products", component: ProductsPage }, { path: "admin/healthFacilities", component: HealthFacilitiesPage }, { path: "admin/medicalServicesPriceList", component: MedicalServicesPriceListPage }, { path: "admin/medicalItemsPriceList", component: MedicalItemsPriceListPage }, { path: "admin/medilcalServices", component: MedicalServicesPage }, { path: "admin/medilcalItems", component: MedicalItemsPage }, { path: "admin/users", component: UsersPage }, { path: "admin/userProfiles", component: UserProfilesPage }, { path: "admin/enrolmentOfficers", component: EnrolmentOfficersPage }, { path: "admin/claimAdministrators", component: ClaimAdministratorsPage }, { path: "admin/payers", component: PayersPage }, { path: "admin/locations", component: LocationsPage }],
  "core.MainMenu": [AdminMainMenu$1]
};

var AdminModule = function AdminModule(cfg) {
  return _extends({}, DEFAULT_CONFIG, cfg);
};

export { AdminModule };
//# sourceMappingURL=index.es.js.map
